<div id="mapList">
    <ng-content
        select="[obs-form]"
        *ngIf="display_form"
    ></ng-content>
    <span [class.d-none]="display_form">
        <div class="toolbar">
            <select
                class="form-control rounded-0 col-md-6"
                id="inputSpecies"
                [(ngModel)]="selectedTaxon"
                (ngModelChange)="onFilterChange()"
            >
                <option
                    [ngValue]="null"
                    i18n="All species select option@@allSpeciesSelectOption"
                >Toutes espèces
                </option>
                <option
                    *ngFor="let s of taxa"
                    [ngValue]="s"
                >
                    {{ s.nom_vern }}
                    <span *ngIf="mainConfig.taxonDisplaySciName">(<i>{{ s.nom_complet }}</i>)</span>
                </option>
            </select>
            <select
                class="form-control rounded-0 col-md-6"
                [(ngModel)]="selectedArea"
                (ngModelChange)="onAreaChange()"
            >
                <option [ngValue]="null">{{ inputAreas && inputAreas.count ? 'Aucune zone' : 'Toutes zones' }}</option>
                <option
                    *ngFor="let area of areas"
                    [ngValue]="area"
                >
                    {{ area.name }}
                </option>
            </select>
        </div>
        <div>
            <select
                id="program"
                name="program"
                class="form-control rounded-0 col-sm-12"
                [(ngModel)]="selectedProgram"
                (ngModelChange)="onFilterChange()"
                *ngIf="userDashboard"
            >
                <option [ngValue]="null">Tous programmes</option>
                <option
                    *ngFor="let program of programs"
                    [ngValue]="program"
                >
                    {{ program?.title || '?' }}
                </option>
            </select>
        </div>
        <div class="col-lg-12 mx-4 mt-2 mb-4">
            <strong><span *ngIf="userDashboard">Mes </span>individus </strong>
            <span class="badge badge-pill badge-info">{{ speciesSites?.length }}</span>
            <ng-content select="[add-obs]"></ng-content>
        </div>
        <div id="list">
            <div
                *ngFor="let speciesSite of speciesSites"
                (click)="onSpeciesSiteClick(speciesSite)"
                class="espece"
            >
                <img src="{{
                        speciesSite.properties.photos && speciesSite.properties.photos.length
                            ? apiEndpoint + speciesSite.properties.photos[0].url
                            : 'assets/no_photo_light.png'
                    }}" />
                <div [class]="(userDashboard ? 'dashboard-list' : '') + ' infos'">
                    <h5>
                        <div class="name notranslate">{{ speciesSite.properties.name }}</div>
                        <span
                            *ngIf="speciesSite.properties.has_edit_access || speciesSite.properties.id_role === userService.role_id || admin"
                            class="pull-right"
                        >
                            <app-areamodalflow
                                #modalFlowRef
                                [coords]="speciesSite.properties.coords"
                                [speciesSiteUpdateData]="speciesSite.properties"
                            >
                                <i
                                    class="fa fa-edit text-primary"
                                    placement="bottom"
                                    ngbTooltip="Editer"
                                    btn-open
                                ></i>
                            </app-areamodalflow>
                            <i
                                class="fa fa-trash text-danger"
                                placement="bottom"
                                ngbTooltip="Supprimer"
                                (click)="onDeleteSpeciesSiteModalOpen(speciesSite.properties.id_species_site)"
                                *ngIf="speciesSite.properties.id_role === userService.role_id && speciesSite.properties.creator_can_delete || admin"
                                owner-actions
                            ></i>
                        </span>
                    </h5>
                    <p
                        *ngIf="speciesSite.properties.species"
                        [title]="speciesSite.properties.species.nom_vern + ', ' + speciesSite.properties.species.nom_complet"
                    >
                        {{ speciesSite.properties.species.nom_vern }}
                    </p>
                    <p
                        [title]="speciesSite.properties.obs_txt"
                        *ngIf="userDashboard"
                    >
                        ajoutée par <span>{{ speciesSite.properties.obs_txt }}</span>
                    </p>
                    <p *ngIf="!userDashboard">
                        <span
                            *ngFor="let stage of speciesSite.properties.stages"
                            [title]="
                            stage.last_obs_date !== 'None'
                                ? 'Observé le ' +
                                  (stage.last_obs_date | date: 'longDate')
                                : stage.name
                        "
                        >
                            <img
                                class="stage-icon"
                                alt="{{ stage.name }} icon"
                                src="assets/stages/{{stage.obs_count > 0 ? 'selected-' : ''}}{{ stage.icon }}"
                                (click)="onAddSpeciesSiteObservationClick(speciesSite.properties.id_species_site, {id_species_stage: stage.id_species_stage, last_obs_id: stage.last_obs_id})"
                            />
                        </span>
                    </p>
                </div>
                <div
                    *ngIf="!userDashboard"
                    class="add-species-site-observation"
                >
                    <div
                        title="Ajouter une observation"
                        (click)="onAddSpeciesSiteObservationClick(speciesSite.properties.id_species_site)"
                    >
                        +
                    </div>
                </div>
                <div
                    class="hide"
                    [routerLink]="[
                        '/programs',
                        speciesSite.properties.area.id_program,
                        'species_sites',
                        speciesSite.properties.id_species_site
                    ]"
                    style="cursor: pointer"
                    title="Voir les détails sur cet individu"
                >
                    <img src="assets/binoculars.png" />
                </div>
            </div>
        </div>
    </span>
</div>


<ng-template
    #deleteSpeciesSiteModal
    let-modal
>
    <div class="modal-delete-header">
        <h5 class="modal-delete-title"><i class="fa fa-trash"></i></h5>
    </div>
    <div class="modal-delete-body">
        Êtes-vous sûr de vouloir supprimer cet individu et toutes les informations qui y sont rattachées ?
        <br />
        La suppression sera définitive
    </div>
    <div class="modal-delete-footer">
        <button
            type="button"
            class="cancel-btn"
            style="margin-right: 15px"
            (click)="deletionModalRef.close()"
        >
            ANNULER
        </button>
        <button
            type="button"
            class="green-btn"
            (click)="onDeleteSpeciesSite()"
        >
            OUI
        </button>
    </div>
</ng-template>
